package com.example.dialogy;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.widget.Toast;

public class ModernAlertDialogFragment extends DialogFragment implements OnClickListener {

	private String[] items = {
			"Želva",
			"Kůň",
			"Mravenečník",
			"Lenochod",
			"Kráva",
			"Žížala",
			"Komár",
			"Psobotnice"
	};
	
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		return new AlertDialog.Builder(getActivity())
					.setItems(items, this)
					.setTitle("Které je Tvoje nejoblíbenější zviřátko?")
					.create();
					
	}

	public void onClick(DialogInterface dialog, int which) {
		Toast.makeText(getActivity(), "Tvoje nejoblíbenější zviřátko je: "+items[which], Toast.LENGTH_SHORT).show();
		this.dismiss();
	}
}
